package com.newapp.paperwall.tools;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.newapp.paperwall.BaseApp;
import com.newapp.paperwall.R;


public class CustTxtView extends androidx.appcompat.widget.AppCompatTextView {


    public CustTxtView(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }


    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.CustomeTv);
        boolean aBoolean = typedArray.getBoolean(R.styleable.CustomeTv_apply_font,false);
        if(aBoolean){
            setTypeface(BaseApp.regularFont);
        }

        typedArray.recycle();
    }



}
